
QGIS Application - Bug report #15677

[processing] dissolve (QGIS Geoalgorithm) return [Errno 9] Bad file descriptor

2016-10-07 05:55 AM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Unknown

Affected QGIS version:2.16.3 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23600

Description

at runtime processing return :

Traceback (most recent call last):

File "C:/PROGRA~1/QGIS2~1.16/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 203, in execute

self.processAlgorithm(progress)

File "C:/PROGRA~1/QGIS2~1.16/apps/qgis/./python/plugins\\processing\\algs\\qgis\\Dissolve.py", line 141, in processAlgorithm

print outFeat.geometry().exportToWkt()

IOError: [Errno 9] Bad file descriptor

QGIS 2.16.3 32 or 64 bits

Associated revisions

Revision ba98e2d5 - 2016-10-13 03:22 PM - Alexander Bruy

[processing] remove debug line (fix #15677)

History

#1 - 2016-10-13 06:21 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"ba98e2d5895bbf68fc23eabb4eaa78a62cf769e5".

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

2025-04-27 1/1


